## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/RoaringBitmap/CRoaring
Version:        4.3.0
%forgemeta

%global sover 18

Name:           croaring
Release:        %autorelease
Summary:        Roaring bitmaps in C (and C++), with SIMD (AVX2, AVX-512 and NEON) optimizations
License:        Apache-2.0 OR MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  libcmocka-devel

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -DROARING_USE_CPM=OFF \
    -DROARING_LIB_VERSION=%{version} \
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libroaring.so.%{sover}
%{_libdir}/libroaring.so.%{version}

%files devel
%{_includedir}/roaring/
%{_libdir}/cmake/roaring/
%{_libdir}/libroaring.so
%{_libdir}/pkgconfig/roaring.pc

%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Mar 02 2025 topazus <topazus@outlook.com> - 4.3.0-1
- 4.3.0

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Sep 21 2024 topazus <topazus@outlook.com> - 4.1.6-1
- 4.1.6

* Tue Jul 30 2024 Packit <hello@packit.dev> - 4.1.1-1
- Update to 4.1.1 upstream release
- Resolves: rhbz#2272768

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 topazus <topazus@outlook.com> - 4.1.0-1
- 4.1.0

* Wed Mar 20 2024 topazus <topazus@outlook.com> - 3.0.0-1
- update to 3.0.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Packit <hello@packit.dev> - 2.1.2-1
- [packit] 2.1.2 upstream release

* Thu Jan 04 2024 topazus <topazus@outlook.com> - 2.1.0-3
- fix for new release

* Thu Jan 04 2024 topazus <topazus@outlook.com> - 2.1.0-2
- fix packit

* Tue Dec 19 2023 topazus <topazus@outlook.com> - 2.1.0-1
- initial import; rhbz#2254964
## END: Generated by rpmautospec
